SDL_Texture(3type)

NAME
SDL_Texture - An efficient driver-specific representation of pixel data

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

struct SDL_Texture
{
    SDL_PixelFormat format;     /**< The format of the texture, read-only */
    int w;                      /**< The width of the texture, read-only. */
    int h;                      /**< The height of the texture, read-only. */

    int refcount;               /**< Application reference count, used when freeing texture */
};

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTexture(3), •(3), SDL_CreateTextureFromSurface(3), •(3), SDL_CreateTextureWithProperties(3), •(3), SDL_DestroyTexture(3)